# Taxonomy Menu Sync

## Table of contents
- Introduction
- Features
- Requirements
- Installation
- Post-Installation
- Maintainers

## Introduction
#### Transform Taxonomy Term into Menu
Enables the creation of menu items directly from taxonomy terms of any taxonomy vocabulary. It supports the use of Drupal's default fields, along with the flexibility to add custom fields through contributed modules.

## Features
- Allows creating menu items from taxonomy terms of any vocabulary.
- Allows using Drupal's default fields along with additional fields via contributed modules.
- Uses default taxonomy term paths or custom node URLs based on settings.
- Prevents updates to title and parent link directly from the UI.
- Functions independently without conflicting with other menu-related modules.
- Additionally, provides the `drush taxonomy_menu_sync:sync [IDS]` command to sync taxonomy terms into the menu via Drush easily.

## Requirements
No special requirements.

## Installation
- Install as you would normally install a contributed Drupal module.
  See: https://www.drupal.org/node/895232 for further information.

## Post-Installation
1. After installing the module, navigate to the `/admin/structure/taxonomy_menu_item_extras` page.
2. Click the **"Add New"** button to create a new configuration based on your specific requirements.
3. Save the configuration.
4. To synchronize taxonomy terms with menu items, use the **"Synchronize"** button available from the drop button on the listing page or from the edit page.

## Maintainers
- Ravi Kumar Singh - [rksyravi](https://www.drupal.org/u/rksyravi)
